#
# SpellCheckTestCase
#

from Testing import ZopeTestCase

ZopeTestCase.installProduct('PortalTransforms')
ZopeTestCase.installProduct('MimetypesRegistry')
ZopeTestCase.installProduct('Archetypes')
ZopeTestCase.installProduct('CMFSpellCheck')

from Products.PloneTestCase import PloneTestCase

PloneTestCase.setupPloneSite(products=['Archetypes', 'CMFSpellCheck'])

portal_name = 'portal'
portal_owner = 'portal_owner'
default_user = PloneTestCase.default_user
default_password = PloneTestCase.default_password

class SpellCheckTestCase(PloneTestCase.PloneTestCase):

    class Session(dict):
        def set(self, key, value):
            self[key] = value

    def _setup(self):
        PloneTestCase.PloneTestCase._setup(self)
        self.app.REQUEST['SESSION'] = self.Session()
