from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore.utils import ToolInit
from AccessControl import ModuleSecurityInfo, allow_class

import CMFSpellCheckTool
from SpellCheckUtility import SpellCheckUtility

tools = (CMFSpellCheckTool.CMFSpellCheckTool,)

ModuleSecurityInfo('Products.CMFSpellCheck').declarePublic('registerSpeller')
ModuleSecurityInfo('Products.CMFSpellCheck').declarePublic('registerFormatter')

allow_class(SpellCheckUtility)

spellcheck_globals = globals()

registerDirectory('skins', spellcheck_globals)

def initialize(context):
    ToolInit( meta_type = 'Spell Check Tool'
            , tools = tools
            , product_name = 'CMFSpellCheck'
            , icon = 'spell_icon.gif'
            ).initialize(context)
